BlitzReels
BlitzReelsDocumentation
API Reference
GET
/projects/{projectId}/captions

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Query Parameters

limit?number
Range1 <= value <= 100
offset?number
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/captions"
{  "success": true,  "captions": [    {      "caption_id": "string",      "timeline_item_id": "string",      "project_id": "string",      "text": "string",      "start_units": 0,      "end_units": 0,      "start_seconds": 0,      "end_seconds": 0,      "words": [        {          "id": "string",          "word": "string",          "order_index": 0,          "start_units": 0,          "end_units": 0,          "start_seconds": 0,          "end_seconds": 0,          "paragraph_index": 0,          "is_emphasis": true,          "style": {            "offsetX": 0,            "offsetY": 0,            "rotationDeg": 0,            "scale": 0,            "fontFamily": "string",            "fontWeight": "string",            "color": "string",            "activeColor": "string",            "backgroundColor": "string",            "activeAnimation": "none",            "fontStyle": "normal",            "textTransform": "none",            "letterSpacing": 0,            "opacity": 0,            "textStrokeColor": "string",            "textStrokeWidthPx": 0,            "textStrokeBlurPx": 0,            "textShadow": "string",            "glowColor": "string",            "glowBlurPx": 0,            "textGradientFrom": "string",            "textGradientTo": "string",            "textGradientAngleDeg": 0,            "backgroundRadiusPx": 0,            "emojiName": "string",            "emojiScale": "1",            "isSpecial": true,            "isKeyword": true          }        }      ]    }  ],  "pagination": {    "total": 0,    "returned": 0,    "offset": 0,    "limit": 0,    "has_more": true  }}